- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CTriStateImage Class Reference

Inheritance diagram for Exponent::GUI::Controls::CTriStateImage:

List of all members.

## Detailed Description

Shows three images and allows you to choose which.

Date:
  03/09/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CTriStateImage.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CTriStateImage.hpp.

## Public Member Functions

- CTriStateImage (IControlRoot *root, const long uniqueId, const CRect &area)
- virtual void drawControl (CGraphics &graphics)
- void setImages (IImage *image1, IImage *image2, IImage *image3)
- void setState (const long state)
- virtual ~CTriStateImage ()

## Protected Attributes

- long m_currentState
- IImage * m_images [3]

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CTriStateImage::CTriStateImage | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left

virtual Exponent::GUI::Controls::CTriStateImage::~CTriStateImage | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CTriStateImage::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the controls

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

void Exponent::GUI::Controls::CTriStateImage::setImages | ( | IImage * | image1,
|  | IImage * | image2,
|  | IImage * | image3 |
| ) |  |  |

Set the handle images

Parameters:

  | image1 | Image state 1
  | image2 | Image state 2
  | image3 | Image state 3

void Exponent::GUI::Controls::CTriStateImage::setState | ( | const long | state | ) |

Set the state

Parameters:

  | state | The state to display (0, 1 or 2)

## Member Data Documentation

long Exponent::GUI::Controls::CTriStateImage::m_currentState`[protected]`

The current state

Definition at line 89 of file CTriStateImage.hpp.

IImage* Exponent::GUI::Controls::CTriStateImage::m_images[3]`[protected]`

The three images

Definition at line 88 of file CTriStateImage.hpp.